Subject: Re: [GSoC] [t9803]

From: Denton Liu <[email-masked]>
Date: Wed, 27 Mar 2019 15:51:20 -0700

On Wed, Mar 27, 2019 at 10:04:46PM +0000, Julian Cheng wrote:
> Denton, thanks for the pointers!
> 
> I get the following when I run "make" in the top level directory of git and I'm not sure how to deal with it. Any ideas?
> $ make
>     LINK git-http-fetch
> .../lib/libcurl.so: undefined reference to `SSLv2_client_method'
> collect2: error: ld returned 1 exit status
> Makefile:2434: recipe for target 'git-http-fetch' failed
> make: *** [git-http-fetch] Error 1

What OS and/or distro are you currently running? It looks like you
either have some out-of-date libraries or you're entirely missing some
libraries.

> 
> ________________________________________
> From: Denton Liu [[email-masked]]
> Sent: March-27-19 5:10 PM
> To: Julian Cheng
> Cc: [email-masked]
> Subject: Re: [GSoC] [t9803]
> 
> Hi Julian,
> 
> On Wed, Mar 27, 2019 at 07:26:12PM +0000, Julian Cheng wrote:
> > Hello Git Community,
> >
> > I’m new here and hoping to get to be a part of GSOC 2019. I have questions about the main project and the microproject
> >
> > Main Project Quesctions
> > I was hoping to work on “git revert --drop” and “git commit --reword”. Are there any mentors available for this project? The ideas page lists mentors for other projects but not this one.
> >
> > Also, “git revert --drop” and “git commit --reword” appear not to have been discussed yet in the public inbox. Is this correct or am I just not finding the threads?
> >
> >
> > Microproject Questions (test_path_is_*)
> > I would like to improve t9803-git-p4-shell-metachars.sh
> >
> > On the microprojects page, it suggests I should run the tests to make sure they all pass. But if I’m making changes to the tests, is it really adequate testing just to make sure they all pass?
> >
> > To run all tests, I assume I would just navigate to the tests folder in terminal and call “sh *.sh”, but that doesn’t seem to work. Also, when I call “sh  t9803-git-p4-shell-metachars.sh”, I get “error: GIT-BUILD-OPTIONS missing (has Git been built?).” Git is definitely installed on my computer though. I’ve been using it for months. I cloned this repo with Git. What am I missing here?
> 
> When the tests run, they don't test your installation (the git you're
> currently using in /usr/bin/git). They test the git you've built in the
> project directory.
> 
> First of all, you should build the project. You should run "make" from
> the top-level directory of git. This will fill the directory with git-*
> executables. These are the actual binaries that will be tested.
> 
> Next, go into t/ and run "make" again to run all of the tests. You can
> also run individual tests by doing something like
> ./t9803-git-p4-shell-metachars.sh, for example.
> 
> For even more details on testing, see t/README.
> 
> Also, some other helpful documentation to read include:
> 
> * Documentation/SubmittingPatches
> * Documentation/CodingGuidelines
> 
> Hope this helps,
> 
> Denton
> 
> >
> > Best,
> > Julian